<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAvailableTransitionList Method (IEdmBatchChangeState2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState2 Interface : GetAvailableTransitionList Method (IEdmBatchChangeState2)

Visual Basic
C#
C++/CLI

ppoTransitions
  Array of EdmChangeStateTransitionInfo structures; one structure for each state transition

Gets the state transitions available for the files in this batch.

# Syntax

Visual Basic |
--- | ---

    Sub GetAvailableTransitionList( _
       ByRef ppoTransitions() As EdmChangeStateTransitionInfo _
    )

C# |
--- | ---

    void GetAvailableTransitionList(
       out EdmChangeStateTransitionInfo[] ppoTransitions
    )

C++/CLI |
--- | ---

    void GetAvailableTransitionList(
    &   [Out] array<EdmChangeStateTransitionInfo>^ ppoTransitions
    )

#### Parameters

ppoTransitions
  Array of EdmChangeStateTransitionInfo structures; one structure for each state transition

# Example

See the IEdmBatchChangeState2 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState2 Interface
IEdmBatchChangeState2 Members

# Availability

SOLIDWORKS PDM Professional 2013